/*
 * Red Rose PostScript Driver Dialog IDs
 *
 * Copyright 1999  Huw D M Davies
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef __WINE_PSDLG_H
#define __WINE_PSDLG_H

#include <windef.h>
#include <winuser.h>

#define IDD_PAPERS 100
#define IDD_ORIENT_PORTRAIT  101
#define IDD_ORIENT_LANDSCAPE 102
#define IDD_DUPLEX 110
#define IDD_DUPLEX_NAME 111
#define IDD_QUALITY 112

#define IDS_DPI 1000
#define IDS_SETUP 1001

#endif /* __WINE_PSDLG_H */
